<?php
if(!defined('R_P')) exit('Access Denied');
$pageid  = intval($_GET['pageid']);
$key = C_P . "/page/" . $pageid . ".html";
if(false !== ($info = cache::get($key))){
	$info = qdb::QueryFirst("select * from ".TABLEPRE."page  where id='$pageid'");
	cache::set($key, $info, 86400 *30);
}
if(empty($info)) qbase::showmsg("出错了，没有找到相关内容");
$title = $info['meta_title'];
$keyword = $info['meta_keywords'];
$description = $info['meta_description'];
if($info['tpl']) $info['tpl'] = substr($info['tpl'], 0, strpos($info['tpl'], '.'));
include qbase::template($info['tpl'] ? $info['tpl'] : $_SET['skin'] . '/page');
?>